<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
$fr=$_GET['f'];
$q = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(mysql_real_escape_string($fr))."'");
$f = mysql_fetch_array($q);
$fadm = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_users` WHERE `uid`='".$use_id."' AND `fid`='".$f['id']."' AND `adm`=1;"), 0);
	if($game==0 OR $level==0 OR $f['id']=='' OR $fadm==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
echo "<title>Рассылка сообщений</title>";
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="razd"></div>';
echo '<div class="top-nav1"><img src="../images/icon/all.png" width="30px" alt="" /> <b>Альянс <font color="#4EEE94">['.$f['name'].']</font> | <font color="#FF0000">Рассылка</b></font></div>';
echo '<div class="razd"></div>';  	
				if(!$_POST)
	{
			echo '<center><div class="window">';	
			echo '<form action="" method="POST">';
			echo 'Текст сообщения:<br /><input type="text" value="" name="text" />';
			echo ' <input type="submit" name="submit" value="Написать"/></form>';
			echo '</div></center>';
	}
	else
	{
			$text = check(trim($_POST['text']));
		
		if ($ban==1)
			$error = $error . 'Забаненным игрокам можно писать личные сообщения только тогда когда они не забаненные :D<br />';
		elseif (empty($text))
			$error = $error . 'Не введен текст<br/>';
		elseif (mb_strlen($text) > 2000)
			$error = $error . 'Слишком длинное сообщение!<br />';
		elseif (mb_strlen($text) < 2)
			$error = $error . 'Слишком короткое сообщение!<br />';
		elseif (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$text))
			$error = $error . 'Недопустимые символы в тексте<br />';	  		
		
		if ($level == 0)
			$error = $error . 'Вы не авторизированны<br />';
			
			if (empty($error))
		{
			$PAGINGS = mysql_query("SELECT * FROM `fractions_users` WHERE `fid`='".$f['id']."' AND `uid`!='".$use_id."' ORDER BY `adm` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{
		$dialog=mysql_result(mysql_query("SELECT COUNT(*) FROM `dialog` WHERE `uid1` = '".$row['uid']."' AND `uid2`='".$use_id."';"), 0);
		
		mysql_query("INSERT INTO `mail` SET
			            `uid1`='" . mysql_real_escape_string($use_id) . "',
			            `uid2`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='" . time() . "',
			            `text`='Рассылка фракции: " . mysql_real_escape_string($text) . "';");	
		if($dialog!=0)mysql_query("UPDATE `dialog` SET `time`='" . time() . "' WHERE `uid1`='".$use_id."' AND `uid2`='".$row['uid']."' OR `uid2`='".$use_id."' AND `uid1`='".$row['uid']."';");						
		if($dialog==0){
				mysql_query("INSERT INTO `dialog` SET
			            `uid1`='" . mysql_real_escape_string($use_id) . "',
			            `uid2`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='".time()."';");	
				
				mysql_query("INSERT INTO `dialog` SET
			            `uid2`='" . mysql_real_escape_string($use_id) . "',
			            `uid1`='" . mysql_real_escape_string($row['uid']) . "',
						`time`='".time()."';");	
			}	
	}

	}
		
		echo '<div class="blok">Сообщения разосланы!</div>';		
		}
		else
		{
			echo '<div class="blok"><b>' . $error. '</b></div>';
		}
		}

echo '<div class="razd"></div><div class="blok"><a href="fraction.php?f='.$f['id'].'"><b>Назад</b></a></div>';
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>